QuantLib: VannaVolgaDoubleBarrierEngine< DoubleBarrierEngine > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
VannaVolgaDoubleBarrierEngine< DoubleBarrierEngine > Class Template Reference
Pricing engines » Barrier option engines

Vanna Volga double-barrier option engine. More...

`#include <ql/experimental/barrieroption/vannavolgadoublebarrierengine.hpp>`

Inheritance diagram for VannaVolgaDoubleBarrierEngine< DoubleBarrierEngine >:
[legend]

## Public Member Functions
| VannaVolgaDoubleBarrierEngine (const Handle< DeltaVolQuote > atmVol, const Handle< DeltaVolQuote > vol25Put, const Handle< DeltaVolQuote > vol25Call, const Handle< Quote > spotFX, const Handle< YieldTermStructure > domesticTS, const Handle< YieldTermStructure > foreignTS, const bool adaptVanDelta=false, const Real bsPriceWithSmile=0.0, int series=5)
virtual void | calculate () const
Public Member Functions inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Attributes inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
DoubleBarrierOption::arguments | arguments_
DoubleBarrierOption::results | results_

## Detailed Description

### template<class DoubleBarrierEngine>
class QuantLib::VannaVolgaDoubleBarrierEngine< DoubleBarrierEngine >

Vanna Volga double-barrier option engine.